%global srcname pydap
%global sum Pydap is an implementation of the Opendap/DODS protocol

Name:           python-%{srcname}
Version:        3.2.2
Release:        1%{?dist}
Summary:        %{sum}

License:        MIT
URL:            http://pydap.org/
Source0:        https://github.com/%{srcname}/%{srcname}/archive/%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python3-devel
BuildRequires:  python2-singledispatch
BuildRequires:  python3-singledispatch
BuildRequires:  python3-docopt
BuildRequires:  python3-gunicorn
BuildRequires:  python3-paste
BuildRequires:  python3-paste-deploy

%description
Pydap is an implementation of the Opendap/DODS protocol,
written from scratch in pure python.
You can use Pydap to access scientific data on the internet
without having to download it.
Instead, you work with special array and iterative objects that
download data on-the-fly.
It saves bandwidth and time.
The module also comes with a robust-but-lightweight Opendap server.

%package -n python2-%{srcname}
Summary: %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Pydap is an implementation of the Opendap/DODS protocol,
written from scratch in pure python.
You can use Pydap to access scientific data on the internet
without having to download it.
Instead, you work with special array and iterative objects that
download data on-the-fly.
It saves bandwidth and time.
The module also comes with a robust-but-lightweight Opendap server.

%package -n python3-%{srcname}
Summary: %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Pydap is an implementation of the Opendap/DODS protocol,
written from scratch in pure python.
You can use Pydap to access scientific data on the internet
without having to download it.
Instead, you work with special array and iterative objects that
download data on-the-fly.
It saves bandwidth and time.
The module also comes with a robust-but-lightweight Opendap server.

%package -n python-%{srcname}-doc
Summary: Documentation package for Pydap
%{?python_provide:%python_provide python-%{srcname}-doc}

%description -n python-%{srcname}-doc
Documentation package for Pydap.
It details all possibilities of Pydap.
How to use it as client, server or as library
in your own Python program.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

# Tests are disabled due to running errors

%files -n python2-%{srcname}
%license docs/license.rst
%doc README.md CONTRIBUTORS.md
%{python2_sitelib}/*

%files -n python3-%{srcname}
%license docs/license.rst
%doc README.md CONTRIBUTORS.md
%{python3_sitelib}/*
%{_bindir}/%{srcname}
%{_bindir}/dods

%files -n python-%{srcname}-doc
%doc docs/*


%changelog
* Sun Sep 17 2017 Vincent Saulnier <vincent@casperlefantom.net> - 3.2.2-1
- Initial Spec file
